/* 
 * File:   systemkonf.h
 * Author: michel.ruoss
 *
 * Created on 24. Dezember 2015, 09:03
 */

#ifndef SYSTEMKONF_H
#define	SYSTEMKONF_H

#define _SUPPRESS_PLIB_WARNING 1
#include <xc.h>
#include <plib.h>
#include "systemkonf.h"


#define SAMPLE_RATE     5000        // 200us interval: Enough time for 1440 instructions at 72Mhz.
#define FPB                    36000000
#define MAX_PWM           FPB/SAMPLE_RATE // eg 7200 at 5000hz.

void setupSystem(void);


#endif	/* SYSTEMKONF_H */

