#include "MenuBlue.h"

/** <code>
 * @file MenuBlue.c
 * @author M.Ruoss
 * 
 * @section TitleMenuBlue Menu Blau
 * Menufuehrung fuer das Menu Blau
 * @subsection BeschreibungMenuBlue Beschreibung Menu Blau
 * Es wir eine Funktion bereitgestellt welches das Menu Blau ausfuehrt.
 * @param [in] manuFlag aktuelles Menu Flag zur Steuerung des while loops in der Funktion
 * @return menuFlag Rueckgabe des neuen Menu Flag zur steuerung der switch case Struktur im @ref main.c
 * @see @ref MenuBlue.h .
 * 
 * </code>
 */
int menublue(int menuFlag)
{
    //Grundanzeige im Display

    prozentValue = (PWMValueBlue / 72);
    sprintf(Display, "%d %%", prozentValue);
    OledClearBuffer();
    OledSetCursor(0, 1);
    OledPutString("Menu Blau");
    OledSetCursor(0, 2);
    OledPutString(Display);
    OledUpdate();
    delay(150);
    key = keyNoPress;

    while (menuFlag == menuFlagBlau)
    {
        key = getKey();
        if (key != keyNoPress)
        {
            switch (key)
            {
            case key1: PWMpreValueBlue = valueNew(key, menuFlag);

                break;
            case key2: PWMpreValueBlue = valueNew(key, menuFlag);
                break;
            case key3: PWMpreValueBlue = valueNew(key, menuFlag);
                break;
            case key4: PWMpreValueBlue = valueNew(key, menuFlag);
                break;
            case key5: PWMpreValueBlue = valueNew(key, menuFlag);
                break;
            case key6: PWMpreValueBlue = valueNew(key, menuFlag);
                break;
            case key7: PWMpreValueBlue = valueNew(key, menuFlag);
                break;
            case key8: PWMpreValueBlue = valueNew(key, menuFlag);
                break;
            case key9: PWMpreValueBlue = valueNew(key, menuFlag);
                break;
            case keyA:
                break;
            case keyB:
                break;
            case keyC:
                break;
            case keyD:
                break;
            case keyE: PWMValueBlue = PWMpreValueBlue;
                prozentValue = (PWMValueBlue / 72);
                sprintf(Display, "%d %%", prozentValue);
                OledClearBuffer();
                OledSetCursor(0, 1);
                OledPutString("Menu Blau");
                OledSetCursor(0, 2);
                OledPutString(Display);
                OledUpdate();
                delay(150);
                valuePos = Pos1;
                break;
            case keyF: menuFlag = menuFlagRot;
                return menuFlag;
                break;
            case keyNull: PWMpreValueBlue = valueNew(key, menuFlag);
                break;
            }

            //Zwischenzeitliche Anzeige
            prozentValue = (PWMpreValueBlue / 72);
            sprintf(Display, "%d %%", prozentValue);
            OledClearBuffer();
            OledSetCursor(0, 1);
            OledPutString("Menu Blau");
            OledSetCursor(0, 2);
            OledPutString(Display);
            OledUpdate();
            delay(150);
            key = -1;

        }
        delay(150);
    }


    return menuFlag = menuFlagRot;
}