/* 
 * File:   MenuBlue.h
 * Author: michel.ruoss
 *
 * Created on 18. Dezember 2015, 23:43
 */

#ifndef MENUBLUE_H
#define	MENUBLUE_H

/** <code>
 * Unterdruecken eines Warnhinweise zur nutzung der plib.h
 * </code> @note Warnhinweis wird in Outputfenster IDE unterdrueckt
 */
#define _SUPPRESS_PLIB_WARNING 1

#include <xc.h>
#include <plib.h>
#include <stdint.h>
#include "Menu.h"
#include "PmodOLED.h"
#include "key2.h"
#include "valueControl.h"

extern volatile char Display[];
extern volatile int menuFlag;
extern volatile uint32_t prozentValue;
extern volatile int PWMpreValueBlue;
extern volatile int key;
extern volatile int valuePos;
extern volatile int PWMValueBlue;

int menublue(int);



#endif	/* MENUBLUE_H */