#include "MenuGreen.h"

/** <code>
 * @file MenuGreen.c
 * @author M.Ruoss
 * 
 * @section TitleMenuGreen Menu Gruen
 * Menufuehrung fuer das Menu Gruen
 * @subsection BeschreibungMenuGreen Beschreibung Menu Gruen
 * Es wir eine Funktion bereitgestellt welches das Menu Gruen ausfuehrt.
 * @param [in] manuFlag aktuelles Menu Flag zur Steuerung des while loops in der Funktion
 * @return menuFlag Rueckgabe des neuen Menu Flag zur steuerung der switch case Struktur im @ref main.c
 * @see @ref MenuGreen.h .
 * 
 * </code>
 */
int menugreen(int menuFlag)
{
    //Grundanzeige im Display

    prozentValue = (PWMValueGreen / 72);
    sprintf(Display, "%d %%", prozentValue);
    OledClearBuffer();
    OledSetCursor(0, 1);
    OledPutString("Menu Gruen");
    OledSetCursor(0, 2);
    OledPutString(Display);
    OledUpdate();
    delay(150);
    key = keyNoPress;

    while (menuFlag == menuFlagGruen)
    {
        key = getKey();
        if (key != keyNoPress)
        {
            switch (key)
            {
            case key1: PWMpreValueGreen = valueNew(key, menuFlag);

                break;
            case key2: PWMpreValueGreen = valueNew(key, menuFlag);
                break;
            case key3: PWMpreValueGreen = valueNew(key, menuFlag);
                break;
            case key4: PWMpreValueGreen = valueNew(key, menuFlag);
                break;
            case key5: PWMpreValueGreen = valueNew(key, menuFlag);
                break;
            case key6: PWMpreValueGreen = valueNew(key, menuFlag);
                break;
            case key7: PWMpreValueGreen = valueNew(key, menuFlag);
                break;
            case key8: PWMpreValueGreen = valueNew(key, menuFlag);
                break;
            case key9: PWMpreValueGreen = valueNew(key, menuFlag);
                break;
            case keyA:
                break;
            case keyB:
                break;
            case keyC:
                break;
            case keyD:
                break;
            case keyE: PWMValueGreen = PWMpreValueGreen;
                prozentValue = (PWMValueGreen / 72);
                sprintf(Display, "%d %%", prozentValue);
                OledClearBuffer();
                OledSetCursor(0, 1);
                OledPutString("Menu Gruen");
                OledSetCursor(0, 2);
                OledPutString(Display);
                OledUpdate();
                delay(150);
                valuePos = Pos1;
                break;
            case keyF: menuFlag = menuFlagBlau;
                return menuFlag;
                break;
            case keyNull: PWMpreValueGreen = valueNew(key, menuFlag);
                break;
            }

            //Zwischenzeitliche Anzeige
            prozentValue = (PWMpreValueGreen / 72);
            sprintf(Display, "%d %%", prozentValue);
            OledClearBuffer();
            OledSetCursor(0, 1);
            OledPutString("Menu Gruen");
            OledSetCursor(0, 2);
            OledPutString(Display);
            OledUpdate();
            delay(150);
            key = -1;

        }
        delay(150);
    }


    return menuFlag = menuFlagBlau;
}