#include "MenuRed.h"

/** <code>
 * @file MenuRed.c
 * @author M.Ruoss
 * 
 * @section TitleMenuRot Menu Rot
 * Menufuehrung fuer das Menu Rot
 * @subsection BeschreibungMenuRot Beschreibung Menu Rot
 * Es wir eine Funktion bereitgestellt welches das Menu Rot ausfuehrt.
 * @param [in] manuFlag aktuelles Menu Flag zur Steuerung des while loops in der Funktion
 * @return menuFlag Rueckgabe des neuen Menu Flag zur steuerung der switch Case Struktur im @ref main.c
 * @see @ref MenuRed.h .
 * 
 * </code>
 */
int menured(int menuFlag)
{
    //Grundanzeige im Display

    prozentValue = (PWMValueRed / 72);
    sprintf(Display, "%d %%", prozentValue);
    OledClearBuffer();
    OledSetCursor(0, 1);
    OledPutString("Menu Rot");
    OledSetCursor(0, 2);
    OledPutString(Display);
    OledUpdate();
    delay(150);
    key = keyNoPress;

    while (menuFlag == menuFlagRot)
    {
        key = getKey();
        if (key != keyNoPress)
        {
            switch (key)
            {
            case key1: PWMpreValueRed = valueNew(key, menuFlag);

                break;
            case key2: PWMpreValueRed = valueNew(key, menuFlag);
                break;
            case key3: PWMpreValueRed = valueNew(key, menuFlag);
                break;
            case key4: PWMpreValueRed = valueNew(key, menuFlag);
                break;
            case key5: PWMpreValueRed = valueNew(key, menuFlag);
                break;
            case key6: PWMpreValueRed = valueNew(key, menuFlag);
                break;
            case key7: PWMpreValueRed = valueNew(key, menuFlag);
                break;
            case key8: PWMpreValueRed = valueNew(key, menuFlag);
                break;
            case key9: PWMpreValueRed = valueNew(key, menuFlag);
                break;
            case keyA:
                break;
            case keyB:
                break;
            case keyC:
                break;
            case keyD:
                break;
            case keyE: PWMValueRed = PWMpreValueRed;
                prozentValue = (PWMValueRed / 72);
                sprintf(Display, "%d %%", prozentValue);
                OledClearBuffer();
                OledSetCursor(0, 1);
                OledPutString("Menu Rot");
                OledSetCursor(0, 2);
                OledPutString(Display);
                OledUpdate();
                delay(150);
                valuePos = Pos1;
                break;
            case keyF: menuFlag = menuFlagGruen;
                return menuFlag;
                break;
            case keyNull: PWMpreValueRed = valueNew(key, menuFlag);
                break;
            }

            //Zwischenzeitliche Anzeige
            prozentValue = (PWMpreValueRed / 72);
            sprintf(Display, "%d %%", prozentValue);
            OledClearBuffer();
            OledSetCursor(0, 1);
            OledPutString("Menu Rot");
            OledSetCursor(0, 2);
            OledPutString(Display);
            OledUpdate();
            delay(150);
            key = -1;

        }
        delay(150);
    }


    return menuFlag = menuFlagGruen;
}